Skip to main content
GET
/
v4
/
evaluation-datasets
/
{evaluation_dataset_id}
/
autogenerated-draft-test-cases
/
{autogenerated_draft_test_case_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
auto_generated_draft_test_case = client.evaluation_datasets.autogenerated_draft_test_cases.retrieve(
    autogenerated_draft_test_case_id="autogenerated_draft_test_case_id",
    evaluation_dataset_id="evaluation_dataset_id",
)
print(auto_generated_draft_test_case.id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
autoGeneratedDraftTestCase, err := client.EvaluationDatasets.AutogeneratedDraftTestCases.Get(
context.TODO(),
"evaluation_dataset_id",
"autogenerated_draft_test_case_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", autoGeneratedDraftTestCase.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}
const options = {method: 'GET'};

fetch('https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "evaluation_dataset_id": "<string>",
  "test_case_data": {
    "input": "<string>",
    "artifact_ids_filter": [
      "<string>"
    ],
    "expected_output": "<string>",
    "expected_extra_info": {
      "chunks": [
        {
          "text": "<string>",
          "metadata": {}
        }
      ],
      "schema_type": "CHUNKS"
    }
  },
  "approved": true,
  "content_metadata": {},
  "id": "<string>",
  "account_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "<string>",
  "schema_type": "GENERATION",
  "topic_str": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

evaluation_dataset_id
string
required
autogenerated_draft_test_case_id
string
required

Response

Successful Response

evaluation_dataset_id
string
required

The ID of the associated evaluation dataset.

test_case_data
ArtifactSchemaGeneration · object
required

The data for the test case in a format matching the provided schema_type

approved
boolean
required

Boolean to track whether or not the draft test case is approved

content_metadata
Content Metadata · object
required

Metadata for the chunks and artifacts that were used to generate this draft test case.

id
string
required

The unique identifier of the entity.

account_id
string
required

The ID of the account that owns the given entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

updated_at
string<date-time>
required

The date and time when the entity was last updated in ISO format.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
schema_type
string
default:GENERATION
Allowed value: "GENERATION"
topic_str
string